'use strict';

var mongoose = require('bluebird').promisifyAll(require('mongoose'));
var Schema = mongoose.Schema;

var ShowSchema = new Schema({
  title: String,
  image: String,
  description: String,
  date: {type:Date, default: Date.now()},
  userId: String,
  services: Array,
  info: String,
  location: {
    type: [Number],
    index: '2d'
  },
  place: String,
  categoryId: String,
  active: Boolean
});


// ShowSchema.set('toObject', { virtuals: true });

module.exports = mongoose.model('Show', ShowSchema);
