/**
 * Populate DB with sample data on server start
 * to disable, edit config/environment/index.js, and set `seedDB: false`
 */

'use strict';

var User = require('../api/user/user.model');
var Show = require('../api/show/show.model');
var Comment = require('../api/comment/comment.model');
var Category = require('../api/category/category.model');


Comment.find({}).removeAsync()
  .then(function() {
    Comment.create(
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit dfgfdg',
      rating: 4,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit sdgdfgf',
      rating: 3,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit fgdfgf',
      rating: 5,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit fxgdfg',
      rating: 4,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit sddf',
      rating: 4,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit fffff',
      rating: 3,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit dddd ',
      rating: 5,
      active: true
    },
    {
      setterId: '55f6befd4fa15d2104323a85',
      getterId: '55f6befd4fa15d2104323a85',
      text: 'Lorem ipsum dolor sit amet consectetur adipisici elit aaa',
      rating: 4,
      active: true
    }
      );
  });

/*
Category.find({}).removeAsync()
  .then(function() {
    Category.create(
    {
      name: 'Sport',
      parent_id: 0,
      order: 0,
      active: true
    },
    {
      name: 'Cinema',
      parent_id: 0,
      order: 0,
      active: true
    },
    {
      name: 'Serie TV',
      parent_id: 0,
      order: 0,
      active: true
    },
    {
      name: 'Reality',
      parent_id: 0,
      order: 0,
      active: true
    },
    {
      name: 'Videogames',
      parent_id: 0,
      order: 0,
      active: true
    },
    {
      name: 'Altro',
      parent_id: 0,
      order: 0,
      active: true
    }
    );
});
*/


Show.find({}).removeAsync()
  .then(function() {
    Show.createAsync(
      {
        image: '97211.jpg',
        title: 'Breaking Bad',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'calcio.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'jurassic.jpg',
        title: 'Jurassic World',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'champions.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'got.jpg',
        title: 'Game of Thrones',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: '97211.jpg',
        title: 'Breaking Bad',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'calcio.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        date: '2015-09-15',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'jurassic.jpg',
        title: 'Jurassic World',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'champions.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'got.jpg',
        title: 'Game of Thrones',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: '97211.jpg',
        title: 'Breaking Bad',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'calcio.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'jurassic.jpg',
        title: 'Jurassic World',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'champions.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'got.jpg',
        title: 'Game of Thrones',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: '97211.jpg',
        title: 'Breaking Bad',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'calcio.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        date: '2015-09-15',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'jurassic.jpg',
        title: 'Jurassic World',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'champions.jpg',
        title: 'Juventus - Manchester C.',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'got.jpg',
        title: 'Game of Thrones',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      },
      {
        image: 'pixels.jpg',
        title: 'Pixels',
        description: 'Lorem ipsum dolor sit amet, consectetur adipisici elit, sed eiusmod tempor incidunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquid ex ea commodi consequat.',
        userId: '55f6befd4fa15d2104323a85',
        categoryId: '5613fa45b20b68d304a7f746',
        services: ['POLLICI_32', 'ANIMALI_AMMESSI', 'WIFI', 'FUMATORI_AMMESSI', 'ARIA_CONDIZIONATA'],
        location : [12.5, 41.9],
        place: 'Roma, Italia'
      }
      )
    .then(function() {
      console.log('finished populating shows');
    });
  });

  